net.sf.okapi.lib.xliff2.core

## Interface IWithInheritedData

- All Known Implementing Classes:
    InheritedData, StartFileData, StartGroupData, Unit

      public interface IWithInheritedData

  Represents the data inherited throughout a file element: translate, canResegment, srcDir and trgDir.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotatorsRef` | `getAnnotatorsRef()` Gets the annotators-references for this object.
    `boolean` | `getCanResegment()` Indicates if this object can be re-segmented by default.
    `Directionality` | `getSourceDir()`
    `Directionality` | `getTargetDir()`
    `boolean` | `getTranslate()` Indicates if this object has translatable content by default.
    `void` | `setAnnotatorsRef(AnnotatorsRef annotators)` Sets the annotators-references for this object.
    `void` | `setCanResegment(boolean canResegment)` Sets the flag indicating if this object can be re-segmented by default.
    `void` | `setInheritableData(IWithInheritedData obj)`
    `void` | `setSourceDir(Directionality dir)`
    `void` | `setTargetDir(Directionality dir)`
    `void` | `setTranslate(boolean translate)` Sets the flag indicating if this object has translatable content by default.

- - ### Method Detail

    - #### setInheritableData

          void setInheritableData(IWithInheritedData obj)

    - #### getCanResegment

          boolean getCanResegment()

      Indicates if this object can be re-segmented by default.
      Returns:
        true if this object can be re-segmented by default, false otherwise.

    - #### setCanResegment

          void setCanResegment(boolean canResegment)

      Sets the flag indicating if this object can be re-segmented by default.
      Parameters:
        `canResegment` - true if this object can be re-segmented by default, false otherwise.

    - #### getTranslate

          boolean getTranslate()

      Indicates if this object has translatable content by default.
      Returns:
        true if this object has translatable content by default, false otherwise.

    - #### setTranslate

          void setTranslate(boolean translate)

      Sets the flag indicating if this object has translatable content by default.
      Parameters:
        `translate` - true if this object has translatable content by default, false otherwise.

    - #### getSourceDir

          Directionality getSourceDir()

    - #### setSourceDir

          void setSourceDir(Directionality dir)

    - #### getTargetDir

          Directionality getTargetDir()

    - #### setTargetDir

          void setTargetDir(Directionality dir)

    - #### getAnnotatorsRef

          AnnotatorsRef getAnnotatorsRef()

      Gets the annotators-references for this object.
      Returns:
        the annotators-references for this object (can be null)

    - #### setAnnotatorsRef

          void setAnnotatorsRef(AnnotatorsRef annotators)

      Sets the annotators-references for this object.
      Parameters:
        `annotators` - the new annotators-references for this object (can be null).